Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 320037 - Stabilize dev-libs/libassuan-2.0.0 and reverse dependencies
Summary: Stabilize dev-libs/libassuan-2.0.0 and reverse dependencies
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Crypto team [DISABLED]
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 322791
  Show dependency tree
 
Reported: 2010-05-16 19:04 UTC by Arfrever Frehtes Taifersar Arahesis (RETIRED)
Modified: 2010-08-30 14:06 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2010-05-16 19:04:15 UTC
Stabilize:
  dev-libs/libassuan-2.0.0
  app-crypt/dirmngr-1.1.0_rc1
  app-crypt/gnupg-2.0.15
  app-crypt/gpgme-1.3.0
  app-crypt/gpa-0.9.1_pre20100416

Packages must be stabilized at the same time.
Some packages don't have any stable versions on some architectures, so don't stabilize these packages on these architectures.
Comment 1 nixnut (RETIRED) gentoo-dev 2010-05-24 14:08:20 UTC
ppc 
Comment 2 Markos Chandras (RETIRED) gentoo-dev 2010-05-26 15:38:35 UTC
amd64 done
Comment 3 Maciej Mrozowski gentoo-dev 2010-05-31 20:03:49 UTC
libassuan-2.0.0 breaks kde-base/kleopatra in all versions in tree, while I have some untested patch backported from KDE trunk (and applied in kde overlay), I'm not sure how to proceed yet.

Anyway it wasn't very nice of you to stabilize all those packages without checking whether it's really safe.
Comment 4 Maciej Mrozowski gentoo-dev 2010-06-05 15:48:27 UTC
Just FYI, kleopatra issue will be fixed in next KDE release (4.4.4) which is about to be stabilized soon.
Comment 5 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2010-06-05 15:49:27 UTC
(In reply to comment #3)
> Anyway it wasn't very nice of you to stabilize all those packages without
> checking whether it's really safe.

I had installed all reverse dependencies of libassuan. If build system of a package doesn't fail when accepted version of libassuan isn't found, then a problem might have been missed.
Comment 6 Christian Faulhammer (RETIRED) gentoo-dev 2010-06-27 08:33:23 UTC
x86 stable
Comment 7 Jeroen Roovers gentoo-dev 2010-07-06 15:49:53 UTC
Stable for HPPA.
Comment 8 Markus Meier gentoo-dev 2010-07-19 21:45:06 UTC
arm stable
Comment 9 Samuli Suominen gentoo-dev 2010-07-21 17:14:46 UTC
ppc64 done   (despite 3 tests failing in gnupg, will investigate with 2.0.16 release)
Comment 10 Raúl Porcel (RETIRED) gentoo-dev 2010-08-30 14:06:31 UTC
alpha/ia64/s390/sh/sparc stable, closing